#ifndef PhysicsList_h
#define PhysicsList_h 1

#include "G4VModularPhysicsList.hh"

class G4VPhysicsConstructor;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

class PhysicsList: public G4VModularPhysicsList
{
  public:
    PhysicsList();
   ~PhysicsList();

  protected:
    void ConstructParticle();
    void ConstructProcess();
 
    void SetCuts();

  protected:
    void ConstructDecay();    
    void AddStepMax();        

    G4VPhysicsConstructor*  fDecayPhysicsList;
    G4VPhysicsConstructor*  fEmPhysicsList;
    G4VPhysicsConstructor*  fElaPhysicsList;
    G4VPhysicsConstructor*  fHadPhysicsList;
    G4VPhysicsConstructor*  fIonPhysicsList;    
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......

#endif

 
